Subject: Re: Compiling a Prolog program to a stand alone application

From: [email-masked] (Uwe Lesta)
Date: Fri, 20 Aug 1999 21:10:21 +0200

ÐÝôñïò ÔóÝëéïò schrieb:
> 
> First of all thank you very much,
> I don't know if it is just my idea, but I would like to create a console
> application. So, when I used the "qsave_program('filename.exe',
> [goal(start),stand_alone(true)])." command, I had a windows application
> (with the swi environment).
> Can I compile it as a console application?
Yes

assume test.pl

start_goal :-
	write_ln('output from pl').

compile it with

plcon -O -o test.exe -t start_goal -c test.pl

produce a executable that terminates after finish or use the
predikate halt in your prolog source.

and to put the writen data in file start test with

test > out_file

-- 

Regards

Uwe
[email-masked]